Report ExportsDownload an export file

Download an export file

Returns the file (JSON/CSV). The response is NOT in the JSON envelope; it's a data stream, not an API response, although errors still come in the usual envelope

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/report-exports/example_string/download" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{}
GET
/api/v1/vaults/{code}/report-exports/{id}/download
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Responses

File (json/csv)